Subject: bug#11450: 24.1.50; NS regression: fallback font used even when glyph available in primary font

From: Alp Aker <[email-masked]>
Date: Tue, 15 May 2012 19:33:25 -0400

On Mon, May 14, 2012 at 4:39 AM, Steve Purcell <[email-masked]> wrote:
> It's probably unrelated, but I also wanted to note the following font-relating
> compilation warnings I noticed:

Those aren't related.

The trace you posted looks odd.  It says you have 671 (!) different
font families; does that sound right for your system?  Also, when
Emacs looks for a family covering the character range for the 'symbol'
script it should, before it finds STIXGeneral, find several other
fonts that are installed by default on OS X, but that's not what the
trace seems to show.  Have you removed or disabled, e.g., Apple
Symbol, AppleMyungjo, or AppleGothic? If not, it looks like the Cocoa
font api is giving Emacs bad info on your system, and you have a
corrupt font cache or the like.